/**
 * Get an item from the localStorage
 * @param key The key
 * @returns The item
 */
export declare function getLocalStorageItem<T>(key: string): T | undefined;
/**
 * Set an item in the localStorage
 * @param key The key
 * @param data The item data
 * @param expirationDate The expiration date
 */
export declare function setLocalStorageItem<T>(key: string, data: T, expirationDate?: Date): void;
/**
 * Remove an item from the localStorage
 * @param key The key
 */
export declare function removeLocalStorageItem(key: string): void;
