/**
 * Indicates whether a specified string is null/undefined or empty
 * @param value The string to test
 * @returns true if the value parameter is null/undefined or empty
 */
export declare function isNullOrEmpty(value?: string): boolean;
/**
 * Indicates whether a specified string is null/undefined, empty, or consists only of white-space characters
 * @param value The string to test
 * @returns true if the value parameter is null/undefined, Empty, or if value consists exclusively of white-space characters
 */
export declare function isNullOrWhitespace(value?: string): boolean;
/**
 * Capitalize the string
 * @param value The string to capitalize
 * @returns The capitalized string
 */
export declare function capitalize(value?: string): string | undefined;
